Subject: Re: scp stalls mysteriously

From: Frederic Leroy <[email-masked]>
Date: Thu, 3 Dec 2009 23:03:39 +0100

Le Thu, 03 Dec 2009 21:34:00 +0100,
Damian Lukowski <[email-masked]> a écrit :

> Frederic Leroy schrieb:
> > Le Thu, 03 Dec 2009 15:10:11 +0100,
> > Damian Lukowski <[email-masked]> a écrit :
> >>> I suppose adding || !tp->retrans_stamp into the false condition is
> >>> fine as long as we don't then have a connection that can cause a
> >>> connection to hang there forever for some reason (this needs to be
> >>> understood well enough, not just test driven in stables :-)).
> >>>
> >>>> Unluckily, I still cannot reproduce the scp stalls here, so it
> >>>> would be nice if Frederic printed retrans_stamp together with
> >>>> icsk_ca_state and icsk_retransmits, please.
> >>> It wouldn't hurt to know tp->packets_out and tp->retrans_out too,
> >>> that might have some significant w.r.t what happens because of
> >>> FRTO.
> >> I made a patch for Frederic with Codebase
> >> git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6.git
> >>
> >> Thanks for testing.
> > 
> > I made a new .11 trace with damian patch.
> > The copy went to the end. 
> 
> Ok, at least this "fix" seems to work at first glance, but the printk
> is quite useless now. Could you run another test with the printk's but
> without the retrans_stamp == 0 check, please?

Done, it's .13

It stalled.

I only manage to make a failing stream only once. It seems
after 23h the network is not interferenced.

-- 
Frédéric Leroy